Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.exec.launcher
Class Java13CommandLauncher

    java.lang.Object
      org.apache.commons.exec.launcher.CommandLauncherImpl
          org.apache.commons.exec.launcher.Java13CommandLauncher

All Implemented Interfaces:
  CommandLauncher

Direct Known Subclasses:
  VmsCommandLauncher

    public class Java13CommandLauncher

extends CommandLauncherImpl

A command launcher for JDK/JRE 1.3 (and higher). Uses the built-in Runtime.exec() command

Constructor Summary
`Java13CommandLauncher()` Constructor

Method Summary
`Process` | `exec(CommandLine cmd, Map env, File workingDir)` Launches the given command in a new process, in the given working directory

Methods inherited from class org.apache.commons.exec.launcher.CommandLauncherImpl
`exec, isFailure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java13CommandLauncher

    public Java13CommandLauncher()

  Constructor

Method Detail

### exec

    public Process exec(CommandLine cmd,
                        Map env,
                        File workingDir)
                 throws IOException

  Launches the given command in a new process, in the given working directory

  Specified by:
    `exec` in interface `CommandLauncher`
  Specified by:
    `exec` in class `CommandLauncherImpl`
  Parameters:
    `cmd` - the command line to execute as an array of strings
    `env` - the environment to set as an array of strings
    `workingDir` - the working directory where the command should run
  Returns:
    the newly created process
  Throws:
    `IOException` - probably forwarded from Runtime#exec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 The Apache Software Foundation. All Rights Reserved.